---
updatedAt: 2026-04-27T10:10:36.000Z
agentTools:
  projectIndex: https://docs.stablr.com/llms.txt
---

# List wallets

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "StablR Programmatic API",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://{environment}.stablr.com",
      "variables": {
        "environment": {
          "default": "api",
          "enum": [
            "acc-api",
            "test-api",
            "devdeploy-api"
          ]
        }
      }
    },
    {
      "url": "https://api.stablr.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "paths": {
    "/v1/customers/wallets": {
      "get": {
        "tags": [
          "Wallets"
        ],
        "summary": "List wallets",
        "parameters": [
          {
            "name": "network",
            "in": "query",
            "schema": {
              "$ref": "#/components/schemas/Blockchain"
            }
          },
          {
            "name": "Limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "Cursor",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Order",
            "in": "query",
            "schema": {
              "$ref": "#/components/schemas/SortDirection"
            }
          },
          {
            "name": "IncludeTotalCount",
            "in": "query",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/GetWalletResponse"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Blockchain": {
        "enum": [
          "ETHEREUM",
          "SOLANA",
          "CONCORDIUM",
          "PLASMA"
        ],
        "type": "string"
      },
      "GetWalletResponse": {
        "required": [
          "Address",
          "CreatedAt",
          "Id",
          "Name",
          "Network",
          "OwnershipProofFileId",
          "Status",
          "Type"
        ],
        "type": "object",
        "properties": {
          "Id": {
            "type": "string",
            "format": "uuid"
          },
          "Name": {
            "type": "string",
            "nullable": true
          },
          "Type": {
            "$ref": "#/components/schemas/WalletType"
          },
          "Network": {
            "$ref": "#/components/schemas/Blockchain"
          },
          "Address": {
            "type": "string",
            "nullable": true
          },
          "Status": {
            "$ref": "#/components/schemas/WalletStatus"
          },
          "CreatedAt": {
            "type": "string",
            "format": "date-time"
          },
          "OwnershipProofFileId": {
            "type": "string",
            "format": "uuid"
          }
        },
        "additionalProperties": false
      },
      "SortDirection": {
        "enum": [
          "ASC",
          "DESC"
        ],
        "type": "string"
      },
      "WalletStatus": {
        "enum": [
          "PENDING",
          "APPROVED",
          "REJECTED",
          "DELETED"
        ],
        "type": "string"
      },
      "WalletType": {
        "enum": [
          "META_MASK_INSTITUTIONAL",
          "META_MASK",
          "FIREBLOCKS_VAULT",
          "LEDGER",
          "GNOSIS_SAFE",
          "COINBASE_INSTITUTIONAL",
          "TREZOR",
          "COPPER",
          "PHANTOM",
          "TRUST",
          "SOLFLARE",
          "BIT_GO",
          "CRYPTO_X",
          "CONCORDIUM_WEB",
          "CONCORDIUM_DESKTOP",
          "OTHER"
        ],
        "type": "string"
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
```